/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.project.dto.team;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * Restful接口--资源详情--数据传输对象：系统人员表
 * <p>
 * createdate:  2021-09-06 11:05:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "系统人员表")
public class MtProjectTeamDetailDto implements Serializable {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("姓名")
    private String userChnName;

    @ApiModelProperty("登录名")
    private String loginNo;

    @ApiModelProperty("角色名称，如果用户有多个角色，使用/拼接")
    private String roleName;

    @ApiModelProperty("所属机构")
    private String orgName;

    @ApiModelProperty("手机号码")
    private String cellPhone;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("角色id，如果用户有多个角色，使用/拼接")
    private String roleId;

    @ApiModelProperty("系统id")
    private String projectId;

    @ApiModelProperty("系统名称")
    private String projectName;


    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    private Integer isDeleted;

    private String operCode;

    public String getOperCode() {
        return operCode;
    }

    public void setOperCode(String operCode) {
        this.operCode = operCode;
    }

    public String getId() {
        return id;
    }

    public String getUserChnName() {
        return userChnName;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public String getRoleName() {
        return roleName;
    }

    public String getOrgName() {
        return orgName;
    }

    public String getCellPhone() {
        return cellPhone;
    }

    public String getEmail() {
        return email;
    }

    public String getUserId() {
        return userId;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setUserChnName(String userChnName) {
        this.userChnName = userChnName;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public void setCellPhone(String cellPhone) {
        this.cellPhone = cellPhone;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }


    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
}